日本語サポートパッケージ

追加アプリケーションパッケージ、PETやSFSなどの話題です

モデレータ: 暇人, YoN, nyu

日本語サポートパッケージ

投稿記事by シノバー » 10/12/05(日) 19:44

2017年3月11日更新
lang_pack_ja-2.1.sfs
こちらから→http://shino.pos.to/party/bridge.cgi?puppy/opt/
1. Xenial Pup 7.0.8.1(32bit)に対応しました。
2. Tahrpup 6.0.5日本語化版シンプルなど最新の翻訳ファイルをできる限り収録しています。
3. CUPS 1.6.2, 1.6.4, 1.7.5, 2.0.4, 2.1.4, 2.2.2 の翻訳ファイルをそれぞれ収録。
いずれの64bit版にも対応していません。
Slacko-6.9.6.4、 TahrPup 6.0.6 に限って、本lang_pack_ja-2.1.sfs のインストール前に sfs_load-3.0.3のインストールが必要です。 http://shinobar.server-on.net/puppy/opt/pup5/sfs_load-3.0.3.pet

2015年12月31日更新
lang_pack_ja-2.0.sfs
1. Slacko 6.3.0(32bit)に対応しました。TahrPup6.0.5などパピー6.x系に対応したつもり。
2. 486HAさんのものもできる限り収録しています。
3. パピー6系で大幅変更のあった dotpup、wizardwizard、shutdounconfig の3つについては、5系と6系をマージしています。(単純に両者のスクリプトを足し合わせたものから .potファイルを生成。)
4. Slacko 6.3.0 の CUPS 1.5.4 の日本語ファイルを同梱
5. トレイボタンなどが消失することがあったのを7正

2014年6月8日更新
lang_pack_ja-1.9.sfs
1. Tahr Puppy対応。
2. メニューが日本語にはなるがアイコンが消えてしまうことがあったものを修正。
3. 「デスクトップの修正」で必ずしも修正されない場合があったものを修正。
4. 486HAさんのものなどの日本語訳を収録。Slacko-5.7など最新パピーでの日本語化が強化されています。
scim-bridgeを有効/無効にスイッチできます。メニュー>デスクトップ> SCIMの設定

なお、 Quirky Tahr を含め、フルインストールのものはサポートしていません。うまく動かすことができるならご報告ください。

ブラウザも日本語版にしたいときは Seamonkey あるいは FirefoxのSFSがあります。
viewtopic.php?f=25&t=2136
viewtopic.php?f=25&t=2048
sfs_load を併用すると便利です。
viewtopic.php?t=1975

ラテン文字は太字(Bold)になるのに日本語フォントが太字斜字(Italic)にならないことがあります。次のリンクをお読みください。
viewtopic.php?f=17&t=2082

このSFSをロードすると画面が真っ暗になる場合があります。その場合でも画面下部にメニューがあればそこから、あるいはマウスを右クリックしてメニューを出し、デスクトップ>デスクトップの設定>「デスクトップの修復」で回復できることがあります。

注意:このSFSはシステムの一部を改変し、アンロードしても痕跡が残ります。すでに lang_pack_ja-*.sfs を使っていると、それをアップグレードすることができません。その場合は pfix=ram からやり直して新しい pupsaveに新しい SFSをロードしてください。
え、え〜 :shock: という方のために、lang_pack_ja-update-1.4-to-1.5b.pet を用意しました。 lang_pack_ja-1.4.sfs あるいはlang_pack_ja-1.4b.sfs をロードして運用されているところにインストールすると、lang_pack_ja-1.5b.sfs 相当になります。

SFSがお奨めですが、PETが欲しいならば
LupQ-511を日本語化するには lang_pack_ja-lupq-0.5.pet をお使いください。
viewtopic.php?t=1879

その他の英語版パピーを日本語化するPETとして lang_pack_ja-small-0.5.pet を用意しました。でも、あんまり小さくありません(12.1MB)。 :wink:
http://shino.pos.to/party/bridge.cgi?pu ... /opt/pets/

開発者の話題『英語版Puppyの日本語化SFSパッケージ』
viewtopic.php?t=1683
最後に編集したユーザー シノバー [ 17/03/11(土) 22:22 ], 累計 28 回
The bar master, Shino's Bar
http://paper.cup.com/
アバター
シノバー
 
記事: 3080
登録日時: 09/03/21(土) 00:05

Re: 日本語サポートパッケージ

投稿記事by 暇人 » 10/12/06(月) 01:12

辞書があるから小さくならないんだよね、
管理人見習い
NEC Express5800 S70/SR G6950 2.8GHz/1G
lenovo S10-3 AtomN450 1.66G/1G
暇人/貳馬力/2CV
アバター
暇人
 
記事: 2387
登録日時: 07/08/12(日) 23:33
お住まい: 埼玉県xx市並4

Re: 日本語サポートパッケージ

投稿記事by きりん » 11/02/08(火) 21:36

きりんです。
lang_pack 関係の感じたこと、ここへ追加してもよいですか?
お願い事が多いかも知れませんが・・・
きりん
 
記事: 441
登録日時: 08/02/24(日) 21:49

Re: 日本語サポートパッケージ

投稿記事by シノバー » 11/02/08(火) 23:42

きりん さんが書きました:lang_pack 関係の感じたこと、ここへ追加してもよいですか?

歓迎です。よろしく。
The bar master, Shino's Bar
http://paper.cup.com/
アバター
シノバー
 
記事: 3080
登録日時: 09/03/21(土) 00:05

Wary用 日本語サポートパッケージ

投稿記事by シノバー » 11/02/12(土) 17:30

lang_pack_ja-0.9-w5.sfs がこちらから入手できます。
http://shino.pos.to/party/bridge.cgi?pu ... languages/
Wary-500用に作られたものですが、Puppy-5.x 系の他のディストリでも使えるかもしれません。
ブラウザの翻訳は seamonkey2 あるいは firefox をサポートします。
CUPSの翻訳は v1.3.11および v1.4.6 の両対応(のはず)。

SFSのみの供給ですので、sfs_load を併用ください。Fullインストール環境でも使えるはずですが、テストしてません。
viewtopic.php?f=25&t=1975
The bar master, Shino's Bar
http://paper.cup.com/
アバター
シノバー
 
記事: 3080
登録日時: 09/03/21(土) 00:05

lang_pack_ja-1.2.sfs

投稿記事by シノバー » 11/09/11(日) 06:52

パピー 5.x系では lang_pack_ja-1.2.sfs をお使いください。4.3以降なら、たいていはこれでいけそうです。
http://shino.pos.to/party/bridge.cgi?pu ... languages/
The bar master, Shino's Bar
http://paper.cup.com/
アバター
シノバー
 
記事: 3080
登録日時: 09/03/21(土) 00:05

scim-bridge

投稿記事by シノバー » 12/04/14(土) 11:41

これまでの日本語入力法では Abiwordでうまくありません。scim-bridgeを採用した lang_pack_ja-1.4b.sfs をアップしました。
lang_pack_ja-1.4b.sfs …… scim-bridgeを採用。
scim-bridgeの動作が不安定な場合、代わりに lang_pack_ja-1.4.sfs をお使いください。
http://shino.pos.to/party/bridge.cgi?puppy/opt/
The bar master, Shino's Bar
http://paper.cup.com/
アバター
シノバー
 
記事: 3080
登録日時: 09/03/21(土) 00:05

lang_pack_ja-1.5b

投稿記事by シノバー » 12/05/12(土) 16:54

lang_pack_ja-1.4b が Slacko では動かなかったので、対応した lang_pack_ja-1.5b.sfs をアップしました。
The bar master, Shino's Bar
http://paper.cup.com/
アバター
シノバー
 
記事: 3080
登録日時: 09/03/21(土) 00:05

lang_pack_ja-update-1.4-to-1.5b.pet

投稿記事by シノバー » 12/05/13(日) 20:21

lang_pack_ja-update-1.4-to-1.5b.pet を用意しました。 lang_pack_ja-1.4.sfs あるいはlang_pack_ja-1.4b.sfs をロードして運用されているところにインストールすると、lang_pack_ja-1.5b.sfs 相当になります。このPET単体では日本語化できませんのでご注意ください。
http://shino.pos.to/party/bridge.cgi?puppy/opt/

インストール後 Xをリスタートすると、変換が英語になっているかもしれません。「日本語-Anthy」に設定しなおしてください。

このパッケージは 431JP2012(lang_pack_ja-1.4相当)などで abiwordのインライン変換をしたい場合にも使えます。ただしハードによっては入力時にチラつきが出ます。試してみて気に入らなければアンインストールし、 Xをリスタートしてください。
The bar master, Shino's Bar
http://paper.cup.com/
アバター
シノバー
 
記事: 3080
登録日時: 09/03/21(土) 00:05

lang_pack_ja-1.6b.sfs

投稿記事by シノバー » 13/10/11(金) 16:10

lang_pack_ja-1.6b.sfs をアップしました。
http://shino.pos.to/party/bridge.cgi?puppy/opt/

1.5bからの変更
・Precise-550JPで開発の翻訳ファイル追加
・CUPS-1.6.2まで対応
・TakaoExゴシック/明朝フォント
など

フォント活用のため、 /etc/fonts/example-local.conf を local.conf とリネームしてください。
The bar master, Shino's Bar
http://paper.cup.com/
アバター
シノバー
 
記事: 3080
登録日時: 09/03/21(土) 00:05

Re: 日本語サポートパッケージ 1.6b

投稿記事by cygnus_odile » 13/10/11(金) 20:16

シノバーさんご苦労様です。 Slacko 5.6 nonPAE で試用開始。
lang_pack_ja-1.6b.sfs

 ちょっと以前話題になった、 ( Re:JISコード )
 /usr/lib/gconv/ISO-2022-JP.so, ISO-2022-JP-3.so
が収録されてないような感じです。
cygnus_odile
 
記事: 665
登録日時: 09/08/16(日) 14:30

JISコード

投稿記事by シノバー » 13/10/11(金) 21:06

cygnus_odile さんが書きました: ちょっと以前話題になった、 ( Re:JISコード )
 /usr/lib/gconv/ISO-2022-JP.so, ISO-2022-JP-3.so
が収録されてないような感じです。

うっぷ。完全に忘れてた。
次のリリースで修正します。
The bar master, Shino's Bar
http://paper.cup.com/
アバター
シノバー
 
記事: 3080
登録日時: 09/03/21(土) 00:05

lang_pack_ja-1.7b.sfs

投稿記事by シノバー » 13/10/12(土) 11:00

lang_pack_ja-1.7b.sfs をアップしました。
http://shino.pos.to/party/bridge.cgi?puppy/opt/

1.5bからの変更
・Precise-550JPで開発の翻訳ファイル追加
・CUPS-1.6.2まで対応
・TakaoExゴシック/明朝フォント
・/usr/lib/gconv/ISO-2022-JP.so, ISO-2022-JP-3.so
など
The bar master, Shino's Bar
http://paper.cup.com/
アバター
シノバー
 
記事: 3080
登録日時: 09/03/21(土) 00:05

Re: lang_pack_ja-1.7b.sfs

投稿記事by cygnus_odile » 13/10/13(日) 14:29

シノバーさん提供の

 lang_pack_ja-1.7b.sfs

ですが、新たに内蔵して頂いた
TakaoExゴシック (や TakaoEx明朝) フォントは、等幅フォントではないので、
Roxterm などの端末でフォントに TakaoExゴシック とか指定すると表示が見づらいようです。

そこで、lang_pack_ja-1.7b.sfs の TakaoEx フォントを削除し
IPAゴシック、IPA Pゴシック、IPA明朝フォント、IPA P明朝フォント、
の ttc ファイルに入れ替えた、日本語化パック:lang_pack_ja-1.7b_ipa.sfs を用意してみました。
プロポーショナルフォント IPA Pゴシック/ P明朝
等幅フォント   IPAゴシック/明朝 が使えます。

6476356 2011-04-16 19:00 /usr/share/fonts/default/TTF/ipag.ttc
 IPAゴシック(IPAゴシック・IPA Pゴシック 2書体パック「TTCファイル」)(Ver.003.03)
8288648 2011-04-12 13:41 /usr/share/fonts/default/TTF/ipam.ttc
 IPA明朝(IPA明朝・IPA P明朝 2書体パック「TTCファイル」)(Ver.003.03)

よろしければどうぞご利用ください:

  lang_pack_ja-1.7b_ipa.sfs
     サイズ: 23 MB (23,699,456 バイト)

(フォントファイルを入れ替えてみただけなので、何か不具合あるかもです、Lupu 5.2.8.6 にて試用中。)

画像
画像
cygnus_odile
 
記事: 665
登録日時: 09/08/16(日) 14:30

Re: lang_pack_ja-1.7b.sfs

投稿記事by 486HA » 13/10/14(月) 21:50

シノバー さんが書きました:lang_pack_ja-1.7b.sfs をアップしました。
http://shino.pos.to/party/bridge.cgi?puppy/opt/

1.5bからの変更
・Precise-550JPで開発の翻訳ファイル追加
・CUPS-1.6.2まで対応
・TakaoExゴシック/明朝フォント
・/usr/lib/gconv/ISO-2022-JP.so, ISO-2022-JP-3.so
など

 lang_pack_ja-1.5b.sfs従前と同様にscim-1.4.7 が基本になっているようですが、
最近のパピーではバージョンアップされています。
 私もPrecise Puppy 5.7.1まではscim 1.4.9 が利用できるにもかかわらず
scim 1.4.7 を利用しましたが、Slacko 5.6 以降は scim 1.4.14 を利用しました。
lang_pack_ja-1.7b.sfsが今後のバージョンに対応できるかは不明ですが、
少なくとも Raring 3.9.9.2には対応しないようです。
 私の勘違いであれば、ご指摘ください。
 言語ファイルも幾つかのものは改善する必要があると思います。
例えばinkscape.moは標準でインストールされているinkliteには対応しても
フルサイズのinkscapeには対応していないのを、拙作では両方に対応できるよう工夫してみました。
個別に比較してカウントしてませんが、moファイル総数が拙作と比較して少ないようです。
CORE-i7-6700HQ uEFI ram:8GB
Full: Quirky Xerus-64 8.2
save2dir: Tahr 6.0.6(32/64), Slacko 6.9.9(32/64),Xenialpup 7.0.8.1
Slimjet 15.0.3.0(32/64)
486HA
 
記事: 1142
登録日時: 11/03/06(日) 14:31

次へ

Return to 追加アプリケーション

オンラインデータ

このフォーラムを閲覧中のユーザー: なし & ゲスト[0人]